package com.cheng.blzb.bean

import java.io.Serializable

class ContactsEntity(
    val id: String,
    var name: String,
    var phone: String,
    var job: String,
    var isChecked: Boolean = false
) : Serializable {
    class Job(
        val name: String,
        var isChecked: Boolean = false
    ) : Serializable

    companion object {
        fun getPositionList(): List<Job> {
            return listOf(
                Job("企业负责人"),
                Job("总经理"),
                Job("经理"),
                Job("业务总监"),
                Job("销售总监"),
                Job("市场总监"),
                Job("业务经理"),
                Job("销售经理"),
                Job("市场经理"),
                Job("销售/业务员"),
                Job("项目经理"),
                Job("工程师")
            )
        }
    }
}